> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runpod.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new container registry auth

> Create a new container registry auth.



## OpenAPI

````yaml POST /containerregistryauth
openapi: 3.0.3
info:
  title: Runpod API
  description: Public Rest API for managing Runpod programmatically.
  version: 0.1.0
  contact:
    name: help
    url: https://contact.runpod.io/hc/requests/new
    email: help@runpod.io
servers:
  - url: https://rest.runpod.io/v1
security:
  - ApiKey: []
tags:
  - name: docs
    description: This documentation page.
  - name: pods
    description: Manage Pods.
  - name: endpoints
    description: Manage Serverless endpoints.
  - name: network volumes
    description: Manage Runpod network volumes.
  - name: templates
    description: Manage Pod and Serverless templates.
  - name: container registry auths
    description: >-
      Manage authentication for container registries such as dockerhub to use
      private images.
  - name: billing
    description: Retrieve billing history for your Runpod account.
externalDocs:
  description: Find out more about Runpod.
  url: https://runpod.io
paths:
  /containerregistryauth:
    post:
      tags:
        - container registry auths
      summary: Create a new container registry auth
      description: Create a new container registry auth.
      operationId: CreateContainerRegistryAuth
      requestBody:
        description: Create a new container registry auth.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContainerRegistryAuthCreateInput'
        required: true
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContainerRegistryAuth'
        '400':
          description: Invalid input.
components:
  schemas:
    ContainerRegistryAuthCreateInput:
      type: object
      required:
        - name
        - username
        - password
      properties:
        name:
          type: string
          example: my creds
          description: >-
            A user-defined name for a container registry authentication. The
            name must be unique.
        password:
          type: string
          example: my-password
          description: The password for the container registry.
        username:
          type: string
          example: my-username
          description: The username for the container registry.
    ContainerRegistryAuth:
      type: object
      properties:
        id:
          type: string
          example: clzdaifot0001l90809257ynb
          description: A unique string identifying a container registry authentication.
        name:
          type: string
          example: my creds
          description: >-
            A user-defined name for a container registry authentication. The
            name must be unique.
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````